class flufflepuffgasp::params {
  case $::osfamily {
    'Debian': {
      $package_ensure   = 'installed'
      $package_name     = 'flufflepuffgasp-web'
      $service_name     = 'flufflepuffgasp-web'
      $package_provider = 'apt'
      $version          = 'latest'
      $user    = 'flufflepuffgasp'
      $group   = 'flufflepuffgasp'
    }
    default: {
      fail("The ${module_name} module is not supported on an ${::osfamily} based system.")
    }
  }

  #install

  $repos_ensure = true
  $repo_key = undef
  $manage_ssl_proxy = true
  #port the web service should listen on
  $server_port = undef
  #encyrption key and initialization vector for cookies in future
  #$encryption_key = undef
  #$encryption_iv = undef
  #github key for oauth
  $raw_domain = 'flufflepuffgasp.com'
  $domain = '.flufflepuffgasp.com'
  #should the service be managed
  $service_manage = true
  $service_ensure = 'running'
  $allow_unsigned = true
}