class flufflepuffgasp::install(
	$version = 	$flufflepuffgasp::params::version,
	$package_name = 		$flufflepuffgasp::params::package_name,
	$user   = $flufflepuffgasp::params::user,
	$group   = $flufflepuffgasp::params::group
) inherits flufflepuffgasp {

	group { 'flufflepuffgaspgroup':
		name   => $group,
		ensure => present,
	}

	user { 'flufflepuffgaspuser':
		name           => $user,
		groups         => [$group],
		password       => '*',
	}

  package { 'flufflepuffgasp':
	  name     => $package_name,
	  ensure   => $version,
	  require  => Class['::ppa'],
  }

}